org.apache.commons.configuration2.beanutils

## Class ConfigurationDynaClass

- java.lang.Object
- - org.apache.commons.configuration2.beanutils.ConfigurationDynaClass

- All Implemented Interfaces:
    org.apache.commons.beanutils.DynaClass

      public class ConfigurationDynaClass
      extends Object
      implements org.apache.commons.beanutils.DynaClass

  The `ConfigurationDynaClass` dynamically determines properties for a `ConfigurationDynaBean` from a wrapped configuration-collection `Configuration` instance.
  Since:
    1.0-rc1
  Version:
    $Id: ConfigurationDynaClass.java 1790899 2017-04-10 21:56:46Z ggregory $
  Author:
    Ricardo Gladwell

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationDynaClass(Configuration configuration)` Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.beanutils.DynaProperty[]` | `getDynaProperties()`
    `org.apache.commons.beanutils.DynaProperty` | `getDynaProperty(String name)`
    `String` | `getName()`
    `org.apache.commons.beanutils.DynaBean` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationDynaClass

          public ConfigurationDynaClass(Configuration configuration)

      Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.
      Parameters:
        `configuration` - `Configuration` instance.

  - ### Method Detail

    - #### getDynaProperty

          public org.apache.commons.beanutils.DynaProperty getDynaProperty(String name)

      Specified by:
        `getDynaProperty` in interface `org.apache.commons.beanutils.DynaClass`

    - #### getDynaProperties

          public org.apache.commons.beanutils.DynaProperty[] getDynaProperties()

      Specified by:
        `getDynaProperties` in interface `org.apache.commons.beanutils.DynaClass`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.apache.commons.beanutils.DynaClass`

    - #### newInstance

          public org.apache.commons.beanutils.DynaBean newInstance()
                                                            throws IllegalAccessException,
                                                                   InstantiationException

      Specified by:
        `newInstance` in interface `org.apache.commons.beanutils.DynaClass`
      Throws:
        `IllegalAccessException`
        `InstantiationException`

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.